<?php

namespace App\Admin\Controllers;

use App\Admin\Metrics\Examples;
use App\Http\Controllers\Controller;
use Dcat\Admin\Http\Controllers\Dashboard;
use Dcat\Admin\Layout\Column;
use Dcat\Admin\Layout\Content;
use Dcat\Admin\Layout\Row;

class HomeController extends Controller
{
    public function index(Content $content)
    {
        return $content
            ->header(trans('admin-home.Data_panel'))
            ->description('')
            ->body(function (Row $row) {
                // 用户
                $row->column(10, function (Column $column) {
                    $column->row(new Examples\NewUsers());
                });
                $row->column(2, function (Column $column) {
                    $column->row(function (Row $row) {
                        $row->column(12, new Examples\TotalUsers());
                    });
                });
                // 产品
                $row->column(10, function (Column $column) {
                    $column->row(new Examples\NewProduct());
                });
                $row->column(2, function (Column $column) {
                    $column->row(function (Row $row) {
                        $row->column(12, new Examples\TotalProduct());
                    });
                });
                // 举报
                $row->column(10, function (Column $column) {
                    $column->row(new Examples\NewReport());
                });
                $row->column(2, function (Column $column) {
                    $column->row(function (Row $row) {
                        $row->column(12, new Examples\TotalReport());
                    });
                });
                // 消息
                $row->column(10, function (Column $column) {
                    $column->row(new Examples\NewMsg());
                });
                $row->column(2, function (Column $column) {
                    $column->row(function (Row $row) {
                        $row->column(12, new Examples\TotalMsg());
                    });
                });
            });
    }
}
