<?php

namespace App\Http\Controllers\V1;

use App\Models\Help;
use App\Models\Region;
use Illuminate\Http\Request;
use App\Models\Advertise;
use App\Models\Setting;
use Hamcrest\Type\IsString;
use Illuminate\Support\Facades\Redis;
use Illuminate\Support\Facades\Validator;

class SettingsController extends Controller
{

    /**
     * @return void
     * 公告|政策
     */
    public function noticePolicy(Request $request){
        $data = Setting::query()->whereIn('key',['notice','privacy_policy'])->where('is_delete',0)->get();
        return $this->success($data);
    }

    /**
     * @return \Illuminate\Http\JsonResponse
     * 备案信息
     */
    public function record(){
        $data = Setting::query()->where('key','=','record')->value('value');
        return $this->success($data);
    }
    /**
     * @return \Illuminate\Http\JsonResponse
     * 条款
     */
    public function clause(){
        $data = Setting::query()->where('key','=','clause')->value('value');
        return $this->success($data);
    }

    /**
     * @return \Illuminate\Http\JsonResponse
     * 法律声明
     */
    public function law(){
        $data = Setting::query()->where('key','=','law')->value('value');
        return $this->success($data);
    }

    /**
     * @return \Illuminate\Http\JsonResponse
     * 版权
     */
    public function copyright(){
        $data = Setting::query()->where('key','=','copyright')->value('value');
        return $this->success($data);
    }

}
